import Flutter
import UIKit


public class SwiftFlutterHesabePlugin: NSObject, FlutterPlugin, UINavigationControllerDelegate {

    var results : FlutterResult!
    var navigationController: UINavigationController!
	
	var arguments: [String:Any]!
	

    override init(){
        super.init()
    }

 public static func register(with registrar: FlutterPluginRegistrar) {
    let channel = FlutterMethodChannel(name: "flutter_hesabe_payment", binaryMessenger: registrar.messenger())
    let instance = SwiftFlutterHesabePlugin()
    registrar.addMethodCallDelegate(instance, channel: channel)
  }

    public func handle(_ call: FlutterMethodCall, result: @escaping FlutterResult) {
      results = result
      f(call.method.elementsEqual("payment"))
        {

     		arguments = call.arguments;

	
	        var price : String!
            if let amount = arguments["price"] as? Double{
                price = String(amount)
            }else{
                price = "0.0"
            }
			
            var paymentRequest = PaymentRequest(amount: price)
            let vc = HesabeGatewayVC()
         
			vc.paymentRequest = paymentRequest
           
			vc.url = arguments["cred_url"] as? String ?? ""
			
            vc.modalPresentationStyle = .overFullScreen // to
			
            self.present(vc, animated: true, completion: nil)
        }
    }
}